/* -*- mode: c++; c-basic-offset: 3; -*- */
#ifndef HTML_BUTTON_HH
#define HTML_BUTTON_HH

#include "html/compound.hh"

namespace html {

  /** Button html class
   */
  class button : public compound {
  public:
    button(const std::string& txt, const std::string& type="button",
	   const std::string& class_name="");
    virtual ~button(void);
    button* clone(void) const;
    const char* getTag(void) const;
  };
  
  //====================================  inline methods.
  inline const char*
  button::getTag(void) const {
    return "button";
  }
}
#endif
